<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: fireworks_panel.php
| Version: 1.0, December 31st, 2011
| Author: Nicolae Crefelean (kneekoo)
| Website: http://www.phpfusion.ro/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// true = this will enable the panel based on the user time settings
// false = this will enable the panel based on the server time settings
$enable_on_user_new_year = true;

// true = visible for admins
// false = invisible for everyone
$admin_preview = false;

$time = time() + $settings['serveroffset'] + (isset($userdata['user_offset']) && $enable_on_user_new_year ? $userdata['user_offset'] : $settings['timeoffset']);
if (date("nj", $time) == "11" || (iADMIN && $admin_preview)) {
	$fireworks_panel_dir = INFUSIONS."fireworks_panel/";
	if (file_exists($fireworks_panel_dir."locale/".$settings['locale'].".php")) {
		include $fireworks_panel_dir."locale/".$settings['locale'].".php";
	} else {
		include $fireworks_panel_dir."locale/English.php";
	}
	$year = date("Y");
	$smiley = " <img src='".$fireworks_panel_dir."yahoo.gif' style='width: 42px; height: 27px' alt='Yahoo!' /> ";

	openside($locale['nyfwp_01']);

	echo "<div align='center' style='font-weight: bold; font-size: 14px; color: red'><br />".$year.$smiley.$locale['nyfwp_01'].$smiley.$year."<br /><br />
	<object classid='clsid:D27CDB6E-AE6D-11cf-96B8-444553540000' codebase='http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,19,0' name='flash' width='550' height='400'>
	<param name='movie' value='".$fireworks_panel_dir."fireworks.swf'>
	<param name='quality' value='high'>
	<embed src='".$fireworks_panel_dir."fireworks.swf' width='550' height='400' quality='high' pluginspage='http://www.macromedia.com/go/getflashplayer' type='application/x-shockwave-flash'></embed>
	</object>
	<br /><br />".$year.$smiley.$locale['nyfwp_01'].$smiley.$year."<br /></div>\n";

	closeside();
}
?>